Subject: Dying FTP Connections and UDP

From: [email-masked] (Mark Flanagan)
Date: Fri, 3 Jan 1997 14:06:41 -0600

Smart People,
     
     I'm running WU-FTD 2.4 on AIX 4.1.3.  I have a user who reports that 
     her connection to our FTP server routinely dies, usually early on 
     during her FTP session.
     
     Thinking that her problem was due to Internet congestion, I ran an 
     iptrace on my AIX box to watch her connection.  I found many delays 
     and retransmission packets.  So that tells me that the Internet has 
     real problems somewhere between her box and mine.  I anonymously 
     logged into her ISP's FTP server and discovered that could send a file 
     to the ISP at 50-60kbps, but only receive a file at 5.5kbps!  I 
     suppose her ISP is artifically choking outbound traffic (referenced to 
     the ISP) to get better inbound performance.
     
     After 15 or so painfully slow minutes, she received a "text 
     undecipherable" message (or something to that effect).  She killed her 
     FTP client and I let the trace run for a few minutes and then killed 
     it as well.  The end of iptrace goes as follows:
     
     Client:    TYPE I
     Server:    200 Type set to I...
     Client:    PORT xxx,xxx,xxx,xxx,x,x        IP header ID = 108
     Server:    200 Port command successful
     *** about 2.5 seconds ***
     Server:    200 Port command successful
     *** about 6 seconds ***
     Server:    200 Port command successful
     *** about 0.8 seconds ***
     Client:    an ACK of the preceding server packet, no data,
                IP header ID = 113
     *** about 54 seconds ***
     Server:    Issued UDP packet to client on port 33435
     Server:    Issued UDP packet to client on port 33436
     ....
     ....
     ....
     Server:    Issued UDP packet to client on port 33448
     
     Client:    STOR <filename>
                This is about 100 seconds after the previous client packet
     Server:    Syn for FTP-data connection
     Server:    Syn for FTP-data connection
     
     *** end of trace ***
     
     Can someone explain the UDP packets?  The destination port looks a few 
     higher than a traceroute.  And what about the "undecipherable" message 
     on the client?  The client was using WS_FTP (16-bit).
     
     Thanks in advance.
     Mark Flanagan